Package org.eclipse.graphiti.features.context

## Interface IResizeShapeContext

All Superinterfaces:
  `IAreaContext`, `IContext`, `ILocationContext`, `IPictogramElementContext`, `IPropertyBag`, `IResizeContext`

All Known Implementing Classes:
  `ResizeShapeContext`

    public interface IResizeShapeContext
    extends IResizeContext, IPictogramElementContext

The Interface IResizeShapeContext.

### Field Summary

Fields
`static int` `DIRECTION_EAST` East
`static int` `DIRECTION_NORTH` North
`static int` `DIRECTION_NORTH_EAST` North-East: a bit-wise OR of `DIRECTION_NORTH` and `DIRECTION_EAST`
`static int` `DIRECTION_NORTH_WEST` North-West: a bit-wise OR of `DIRECTION_NORTH` and `DIRECTION_WEST`
`static int` `DIRECTION_SOUTH` South
`static int` `DIRECTION_SOUTH_EAST` South-East: a bit-wise OR of `DIRECTION_SOUTH` and `DIRECTION_EAST`
`static int` `DIRECTION_SOUTH_WEST` South-West: a bit-wise OR of `DIRECTION_SOUTH` and `DIRECTION_WEST`
`static int` `DIRECTION_UNSPECIFIED` Unspecified direction
`static int` `DIRECTION_WEST` West

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getDirection()` Returns the specified direction.
`Shape` `getShape()` Gets the shape.

### Methods inherited from interface org.eclipse.graphiti.features.context.IAreaContext

`getHeight, getWidth`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.features.context.IPictogramElementContext

`getPictogramElement`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Field Detail

#### DIRECTION_NORTH

    static final int DIRECTION_NORTH

North

Since:
  0.9
See Also:
  Constant Field Values

#### DIRECTION_SOUTH

    static final int DIRECTION_SOUTH

South

Since:
  0.9
See Also:
  Constant Field Values

#### DIRECTION_WEST

    static final int DIRECTION_WEST

West

Since:
  0.9
See Also:
  Constant Field Values

#### DIRECTION_EAST

    static final int DIRECTION_EAST

East

Since:
  0.9
See Also:
  Constant Field Values

#### DIRECTION_NORTH_EAST

    static final int DIRECTION_NORTH_EAST

North-East: a bit-wise OR of `DIRECTION_NORTH` and `DIRECTION_EAST`

Since:
  0.9
See Also:
  Constant Field Values

#### DIRECTION_NORTH_WEST

    static final int DIRECTION_NORTH_WEST

North-West: a bit-wise OR of `DIRECTION_NORTH` and `DIRECTION_WEST`

Since:
  0.9
See Also:
  Constant Field Values

#### DIRECTION_SOUTH_EAST

    static final int DIRECTION_SOUTH_EAST

South-East: a bit-wise OR of `DIRECTION_SOUTH` and `DIRECTION_EAST`

Since:
  0.9
See Also:
  Constant Field Values

#### DIRECTION_SOUTH_WEST

    static final int DIRECTION_SOUTH_WEST

South-West: a bit-wise OR of `DIRECTION_SOUTH` and `DIRECTION_WEST`

Since:
  0.9
See Also:
  Constant Field Values

#### DIRECTION_UNSPECIFIED

    static final int DIRECTION_UNSPECIFIED

Unspecified direction

Since:
  0.9
See Also:
  Constant Field Values

### Method Detail

#### getShape

    Shape getShape()

Gets the shape.

Returns:
  the shape

#### getDirection

    int getDirection()

Returns the specified direction. The direction is specified using `IResizeShapeContext#NORTH`, `IResizeShapeContext#NORTH_EAST` , etc.

Returns:
  the direction
Since:
  0.9